# Home

## 22. Identify all parameters in all models

## `sasmodels.list_pars`

List all parameters used along with the models which use them.

Usage:

> python -m sasmodels.list_pars [-v]

If ‘-v’ is given, then list the models containing the parameter in addition to just the parameter name.

sasmodels.list_pars.find_pars(kind=None)

  Find all parameters in all models.

  Returns the reference table {parameter: [model, model, …]}

sasmodels.list_pars.list_pars(names_only=True, kind=None)

  Print all parameters in all models.

  If names_only then only print the parameter name, not the models it occurs in.

sasmodels.list_pars.main()

  Program to list the parameters used across all models.